  function validarRegistro() {
    
      var correo = document.getElementById("correo").value;
      var contraseña = document.getElementById('password').value;
      var contraseña2 = document.getElementById('password2').value;
      var nombre = document.getElementById('nombre').value;
      var apellidos = document.getElementById('apellidos').value;
      var tipo_usuario = document.getElementById('tipo_usuario').value;

      if (correo==null || correo.length == 0 || /^\s+$/.test(correo)) {
        // Si no se cumple la condicion...
        alert('[ERROR] El campo email no puede estar vacío');
        return false;
      } else if(!correo.includes('@')){
        alert('[ERROR] Correo invalido')
        return false;
      } else if (contraseña==null || contraseña.length == 0 || /^\s+$/.test(contraseña)) {
        // Si no se cumple la condicion...
        alert('[ERROR] El campo contraseña no puede estar vacío');
        return false;
      } else if (contraseña2==null || contraseña2.length == 0 || /^\s+$/.test(contraseña2)) {
        // Si no se cumple la condicion...
        alert('[ERROR] El campo contraseña no puede estar vacío');
        return false;
      } else if (tipo_usuario==null || nombre.tipo_usuario == 0 || /^\s+$/.test(tipo_usuario)) {
        // Si no se cumple la condicion...
        alert('[ERROR] Debes seleccionar un tipo de usuario');
        return false;
      }else if (nombre==null || nombre.length == 0 || /^\s+$/.test(nombre)) {
        // Si no se cumple la condicion...
        alert('[ERROR] El campo nombre no puede estar vacío');
        return false; 
      }else if (apellidos==null || apellidos.length == 0 || /^\s+$/.test(apellidos)) {
        // Si no se cumple la condicion...
        alert('[ERROR] El campo apellidos no puede estar vacío');
        return false;
      } else {
      // Si el script ha llegado a este punto, todas las condiciones
      // se han cumplido, por lo que se devuelve el valor true
        return true;
      }
  } 
  
  function validarRegistro2(){
      
        var nombre_club = document.getElementById("nombre_club").value;

        
        if (nombre_club==null || nombre_club.length == 0 || /^\s+$/.test(nombre_club)) {
            // Si no se cumple la condicion...
            alert('[ERROR] El campo nombre club no puede estar vacío');
            return false;
        } else {
            return true;
        }
      
  }
  
  function validarLogin(){
      
 
    var correo = document.getElementById("correo").value;
    var contraseña = document.getElementById('contraseña').value;
    
    if (correo==null || correo.length == 0 || /^\s+$/.test(correo)) {
        // Si no se cumple la condicion...
        alert('[ERROR] El campo email no puede estar vacío');
        return false;
    } else if(!correo.includes('@')){
        alert('[ERROR] Debes usar un correo valido')
        return false;
    }else if (contraseña==null || contraseña.length == 0 || /^\s+$/.test(conteraseña)) {
    // Si no se cumple la condicion...
        alert('[ERROR] El campo contraseña no puede estar vacío');
        return false;
    } else {
        return true;
    }

  }
  
  function validarLogin2(){
      
    var club = document.getElementById("club").value;
    
    if (club==null || club.length == 0 || /^\s+$/.test(club)) {
        // Si no se cumple la condicion...
        alert('[ERROR] Debes elegir un club');
        return false;
    } else {
        return true;
    }
  }
  
  function validarEntrenador(){
    var correo = document.getElementById("correo").value;
    if (correo==null || correo.length == 0 || /^\s+$/.test(correo)) {
        // Si no se cumple la condicion...
        alert('[ERROR] El campo email no puede estar vacío');
        return false;
    } else if(!correo.includes('@')){
        alert('[ERROR] Debes usar un correo valido')
        return false;
    } else{
        return true;
    }
  }
  
 function validarEliminaEntrenador(){
    var entrenador = document.getElementById("entrenador").value;
    if (entrenador==null || entrenador.length == 0 || /^\s+$/.test(entrenador)) {
        // Si no se cumple la condicion...
        alert('[ERROR] El campo entrenador no puede estar vacío');
        return false;
    } else{
        return true;
    }
 }
 
  function validarElegirEquipo(){
    var entrenador = document.getElementById("equipo").value;
    if (entrenador==null || entrenador.length == 0 || /^\s+$/.test(entrenador)) {
        // Si no se cumple la condicion...
        alert('[ERROR] El campo equipo no puede estar vacío');
        return false;
    } else{
        return true;
    }
 }
  
  function validarEquipo(){
      
    var nombre = document.getElementById("nombreEquipo").value;
    var categoria = document.getElementById("categoriaEquipo").value;
    var sexoM = document.getElementById("sexoEquipoM").checked;
    var sexoF = document.getElementById("sexoEquipoF").checked;
    var sexoX = document.getElementById("sexoEquipoX").checked;
    var entrenador1 = document.getElementById("entrenador1").value;
    var entrenador2 = document.getElementById("entrenador2").value;
    var delegado = document.getElementById("delegado").value;
      
    if (nombre==null || nombre.length == 0 || /^\s+$/.test(nombre)) {
      // Si no se cumple la condicion...
      alert('[ERROR] El nombre del equipo no puede estar vacío');
      return false;
    }else if (categoria==null || categoria.length == 0 || /^\s+$/.test(categoria)) {
      // Si no se cumple la condicion...
      alert('[ERROR] La categoria del equipo no puede estar vacía');
      return false;
    } else if (sexoM==false && sexoF==false && sexoX==false) {
      // Si no se cumple la condicion...
      alert('[ERROR] El sexo del equipo no puede estar vacío');
      return false;
    }else if(entrenador1 == "" && entrenador2 == ""){
        alert('[ERROR] Debes seleccionar un entrenador');
      return false; 
    }else if((entrenador1 != "" && entrenador1 == entrenador2) || (entrenador1 != "" && entrenador1 == delegado) || (entrenador2 != "" && entrenador2 == delegado)){
        alert('[ERROR] No puede haber una persona ocupando dos cargos distintos en el equipo');
      return false;
    }else {
      return true;  
    }
  }
  
  function validarEquipo2(){
      var registros=0;
      for(var i = 0; i<15; i++){
          var nombre = document.getElementById('nombreJugador'+i).value;
          var apellidos = document.getElementById('apellidosJugador'+i).value;
          var direccion = document.getElementById('direccionJugador'+i).value;
          var fecha = document.getElementById('fechaNacimiento'+i).value;
          
          if(nombre != "" && apellidos != "" && direccion != "" && fecha != ""){
              registros++;
          }
      }
      if (registros < 8){
          alert('[ERROR] Al menos debe insertar 8 jugadores en un equipo');
          return false;
      }else{
          return true;
      }
      
  }
  
  function validarFechaEntrenamiento(){
      
    var fecha = document.getElementById('fecha_entrenamiento').value;
    
    if (fecha==null || fecha.length == 0 || /^\s+$/.test(fecha)){
        // Si no se cumple la condicion...
        alert('[ERROR] El campo fecha no puede estar vacío');
        return false;
    } else{
        return true;
    }
  }
  
  function validarTiempoEntrenamiento(){
    var tiempo = document.getElementById('tiempo_ejercicio').value;
    if (tiempo==null || tiempo.length == 0 || /^\s+$/.test(tiempo)){
        // Si no se cumple la condicion...
        alert('[ERROR] El campo tiempo no puede estar vacío');
        return false;
    } else{
        return true;
    }
  }
  
  function validarEjercicio(){
      
    var nombre = document.getElementById("nombre_ejercicio").value;
    var categoria = document.getElementById("categoria_ejercicio").value;
    var descripcion = document.getElementById("descripcion_ejercicio").value;
    var concepto1 = document.getElementById("concepto1").value;
    var concepto2 = document.getElementById("concepto2").value;
    var concepto3 = document.getElementById("concepto3").value;
    var tipo = document.getElementById("tipo").value;
      
    if (nombre==null || nombre.length == 0 || /^\s+$/.test(nombre)) {
      // Si no se cumple la condicion...
      alert('[ERROR] El nombre del equipo no puede estar vacío');
      return false;
    }else if (categoria==null || categoria.length == 0 || /^\s+$/.test(categoria)) {
      // Si no se cumple la condicion...
      alert('[ERROR] La categoria del equipo no puede estar vacía');
      return false;
    } else if (descripcion==null || descripcion.length == 0 || /^\s+$/.test(descripcion)) {
      // Si no se cumple la condicion...
      alert('[ERROR] La descripción del ejercicio no puede estar vacía');
      return false;
    } else if (tipo==null || tipo.length == 0 || /^\s+$/.test(tipo)) {
      // Si no se cumple la condicion...
      alert('[ERROR] El tipo del ejercicio no puede estar vacío');
      return false;
    } else if((concepto1 == null || concepto1.length == 0)&&(concepto2 == null || concepto2.length == 0)&&(concepto3 == null || concepto3.length == 0)){
      // Si no se cumple la condicion...
      alert('[ERROR] El ejercicio debe tener al menos un concepto');
      return false;  
    } else if((concepto1 != "" && concepto1 == concepto2) || (concepto1 != "" && concepto1 == concepto3) || (concepto2 != "" && concepto2 == concepto3)){
      alert('[ERROR] No puede haber dos conceptos iguales para un ejercicio');
      return false;
    }else {
      return true;  
    }
  }
  
  function validarAsistencia(){
      var tamaño = document.getElementById('tamaño').value;
      var fecha = document.getElementById('fecha_asistencia').value;
      if(fecha==null || fecha.length == 0 || /^\s+$/.test(fecha)){
        alert('[ERROR] El campo fecha no puede estar vacio');
        return false;
      }
      for (var i = 0; i<tamaño; i++){
          var asistencia = document.getElementById('asistencia_'+i).value;
          if(asistencia == null || asistencia.length == 0|| /^\s+$/.test(asistencia)){
              alert('[ERROR] Debe asignarse una asistencia a cada jugador');
              return false;
          }
      }
      return true;
  }
  
  function validarJornada(){
      var fecha = document.getElementById('fecha_jornada').value;
      if(fecha==null || fecha.length == 0 || /^\s+$/.test(fecha)){
        alert('[ERROR] El campo fecha no puede estar vacio');
        return false;
      }else{
          return true;
      }
  }
  
  function validaElegirAsistencia(){
      var fecha = document.getElementById('fecha_asis').value;
      if(fecha==null || fecha.length == 0 || /^\s+$/.test(fecha)){
        alert('[ERROR] El campo fecha no puede estar vacio');
        return false;
      }else{
          return true;
      }
      
  }
  
  function validaFechaEntrenamiento(){
      var fecha = document.getElementById('id_entrenamiento').value;
      if(fecha==null || fecha.length == 0 || /^\s+$/.test(fecha)){
        alert('[ERROR] El campo fecha no puede estar vacio');
        return false;
      }else{
          return true;
      }
      
  }
  
  function validaFechaJornada(){
      var fecha = document.getElementById('fecha_jornada').value;
      if(fecha==null || fecha.length == 0 || /^\s+$/.test(fecha)){
        alert('[ERROR] El campo fecha no puede estar vacio');
        return false;
      }else{
          return true;
      }
      
  }
  

